Bug 446049 - Screen multiuser mode broken
Screen multiuser mode broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-12 08:13 EDT by Vasile Chelban
Modified: 2008-05-28 22:52 EDT (History)
0 users

See Also:
Fixed In Version: 4.0.3-10.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 07:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Chelban 2008-05-12 08:13:43 EDT
Description of problem:
After update to screen-4.0.3-9.fc8, multiuser mode could not be used.


Version-Release number of selected component (if applicable):
screen-4.0.3-9.fc8

How reproducible:
In order to use screen multiuser mode, screen executable must be suid root. 
Otherwise, screen print message 'Must run suid root for multiuser support' and 
exits. After setting suid on /usr/bin/screen, screen starts and exits 
imediately, in xterm's title will be message: 
Cannot open /dev/pts/8: Permission denied


Steps to Reproduce:
1. chmod u+s /usr/bin/screen
2. chmod 755 /var/run/screen (required by screen)
3. screen
  
Actual results:
Screen exists imediately with message 'Cannot open /dev/pts/8: Permission 
denied'

Expected results:
Screen should open new shell

Additional info:
Previous version (4.0.3-8) works as expected.
Comment 1 Fedora Update System 2008-05-16 07:06:23 EDT
screen-4.0.3-10.fc8 has been submitted as an update for Fedora 8
Comment 2 Fedora Update System 2008-05-16 07:06:55 EDT
screen-4.0.3-12.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-28 22:51:34 EDT
screen-4.0.3-10.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-05-28 22:52:06 EDT
screen-4.0.3-12.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.